#include <hmg.ch>
#include <dbstruct.ch> 

*----------------------------------------------------------*
 FUNCTION CARTONES  // Modificado 5-2-2024
*----------------------------------------------------------* 
   SET CODEPAGE TO UNICODE
   SET CENTURY ON
   SET DATE FRENCH
   SET DATE FORMAT TO 'dd/mm/yyyy'
   SET ESCAPE ON
   SET NAVIGATION EXTENDED
   SET LANGUAGE TO SPANISH
   SET DELETED ON
   SET BROWSESYNC ON
   SET TOOLTIPSTYLE BALLOON  
*----------------------------------------------------------*
  private nI , rndnum
  private aSTRUCT_L  := {}  
*----------------------------------------------------------*
  IF File("Bingo1.dbf")
    use Bingo1 via "dbfntx"
    append blank
    ZAP
  ELSE 
    aSTRUCT_L := {{ "Z1","N", 2, 0 }}
    DBCREATE( "Bingo1", aSTRUCT_L, .T. )
    use Bingo1 via "dbfntx"
    append blank
    ZAP
  ENDIF
*---------------------------------------------------------*
*---------------------------------------------------------*
  IF File("Bingo2.dbf")
    use Bingo2 via "dbfntx"
    append blank
    ZAP
  ELSE 
    aSTRUCT_L := {{ "Z1","N", 2, 0 }}
    DBCREATE( "Bingo2", aSTRUCT_L, .T. )
    use Bingo2 via "dbfntx"
    append blank
   ZAP
  ENDIF
*---------------------------------------------------------*
*---------------------------------------------------------*
  IF File("Bingo3.dbf")
    use Bingo3 via "dbfntx"
    append blank
    ZAP
  ELSE 
    aSTRUCT_L := {{ "Z1","N", 2, 0 }}
    DBCREATE( "Bingo3", aSTRUCT_L, .T. )
    use Bingo3 via "dbfntx"
    append blank
    ZAP
  ENDIF
*---------------------------------------------------------*
*---------------------------------------------------------*
  IF File("Bingo4.dbf")
    use Bingo4 via "dbfntx"
    append blank
    ZAP
  ELSE 
    aSTRUCT_L := {{ "Z1","N", 2, 0 }}
    DBCREATE( "Bingo4", aSTRUCT_L, .T. )
    use Bingo4 via "dbfntx"
    append blank
    ZAP
  ENDIF
*---------------------------------------------------------*
*---------------------------------------------------------*
  IF File("Bingo5.dbf")
    use Bingo5 via "dbfntx"
    append blank
    ZAP
  ELSE 
    aSTRUCT_L := {{ "Z1","N", 2, 0 }}
    DBCREATE( "Bingo5", aSTRUCT_L, .T. )
    use Bingo5 via "dbfntx"
    append blank
    ZAP
  ENDIF
*---------------------------------------------------------*
*---------------------------------------------------------*
  IF File("Bingo6.dbf")
    use Bingo6 via "dbfntx"
    append blank
    ZAP
  ELSE 
    aSTRUCT_L := {{ "Z1","N", 2, 0 }}
    DBCREATE( "Bingo6", aSTRUCT_L, .T. )
    use Bingo6 via "dbfntx"
    append blank
    ZAP
  ENDIF
*---------------------------------------------------------*
*---------------------------------------------------------*

   IF FILE( "Counter.mem" )
      RESTORE FROM Counter.mem ADDITIVE
   ELSE
      COUN = 0
      SAVE ALL LIKE coUn* TO Counter.mem
   ENDIF
   
   cFileName := "Cartones\" + STRZERO( coUn, 4 )

*---------------------------------------------------------*


   DEFINE WINDOW Form_1                   ;
         AT 0, 0                          ;
         WIDTH 1300 HEIGHT 690            ;
         BACKCOLOR { 029, 118, 072 }      ;
         TITLE "Generador Cartones Bingo" ;
         ICON 'Logo'                      ;
         NOSIZE NOSYSMENU                 ;  
         CHILD                  
       
         ON KEY ESCAPE ACTION ( EraserDBF() , Form_1.Release )

   
*---------------------------------------------------------------------------------------------------*

      @ 045,230 IMAGE CARTONE0 PICTURE "Resource\Bingo2.ico" WIDTH 60 HEIGHT 60 STRETCH 
 
      @ 050,491 LABEL Label_55 VALUE "Generar Cartones" AUTOSIZE ;
                  FONT "Arial" SIZE 31 BOLD ITALIC ;
                  FONTCOLOR BLACK TRANSPARENT
      @ 048,490 LABEL Label_66 VALUE "Generar Cartones" AUTOSIZE ;
                  FONT "Arial" SIZE 31 BOLD ITALIC ;
                  FONTCOLOR YELLOW  TRANSPARENT   

*----------------------------------------------------------------------------------------------------*

      @ 143,040 IMAGE CARTONE1 PICTURE "Resource\Cartona1.jpg" WIDTH 610 HEIGHT 270 STRETCH 
      @ 143,651 IMAGE CARTONE2 PICTURE "Resource\Cartona2.jpg" WIDTH 610 HEIGHT 270 STRETCH 

      @ 143,040 LABEL Label_99 vALUE "" WIDTH 1220 HEIGHT 266 TRANSPARENT  // <=== Es solo para Crear Imagen de Pantalla ( No existe!! )

      SetProperty( "Form_1", "Label_99", "Enabled", .F. )  

*---------------------------------------------------------- Cartón 1  ------------------------------------------------------------------*

    @ 187, 066  LABEL Label_1  VALUE ""  WIDTH 85 HEIGHT 90 RIGHTALIGN FONT "Arial" SIZE 32 BOLD FONTCOLOR { 031, 089, 197 } TRANSPARENT
    @ 187, 184  LABEL Label_2  VALUE ""  WIDTH 85 HEIGHT 90 RIGHTALIGN FONT "Arial" SIZE 32 BOLD FONTCOLOR { 031, 089, 197 } TRANSPARENT
    @ 187, 367  LABEL Label_3  VALUE ""  WIDTH 85 HEIGHT 90 RIGHTALIGN FONT "Arial" SIZE 32 BOLD FONTCOLOR { 031, 089, 197 } TRANSPARENT
    @ 187, 488  LABEL Label_4  VALUE ""  WIDTH 85 HEIGHT 90 RIGHTALIGN FONT "Arial" SIZE 32 BOLD FONTCOLOR { 031, 089, 197 } TRANSPARENT
    @ 187, 549  LABEL Label_5  VALUE ""  WIDTH 85 HEIGHT 90 RIGHTALIGN FONT "Arial" SIZE 32 BOLD FONTCOLOR { 031, 089, 197 } TRANSPARENT
*----------------------------------------------------------------------------------------------------------------------------------------*
    @ 252, 123  LABEL Label_6  VALUE ""  WIDTH 85 HEIGHT 90 RIGHTALIGN FONT "Arial" SIZE 32 BOLD FONTCOLOR { 031, 089, 197 } TRANSPARENT
    @ 252, 248  LABEL Label_7  VALUE ""  WIDTH 85 HEIGHT 90 RIGHTALIGN FONT "Arial" SIZE 32 BOLD FONTCOLOR { 031, 089, 197 } TRANSPARENT
    @ 252, 307  LABEL Label_8  VALUE ""  WIDTH 85 HEIGHT 90 RIGHTALIGN FONT "Arial" SIZE 32 BOLD FONTCOLOR { 031, 089, 197 } TRANSPARENT
    @ 252, 423  LABEL Label_9  VALUE ""  WIDTH 85 HEIGHT 90 RIGHTALIGN FONT "Arial" SIZE 32 BOLD FONTCOLOR { 031, 089, 197 } TRANSPARENT
    @ 252, 488  LABEL Label_10 VALUE ""  WIDTH 85 HEIGHT 90 RIGHTALIGN FONT "Arial" SIZE 32 BOLD FONTCOLOR { 031, 089, 197 } TRANSPARENT
*----------------------------------------------------------------------------------------------------------------------------------------*
    @ 319, 184  LABEL Label_11 VALUE ""  WIDTH 85 HEIGHT 90 RIGHTALIGN FONT "Arial" SIZE 32 BOLD FONTCOLOR { 031, 089, 197 } TRANSPARENT
    @ 319, 248  LABEL Label_12 VALUE ""  WIDTH 85 HEIGHT 90 RIGHTALIGN FONT "Arial" SIZE 32 BOLD FONTCOLOR { 031, 089, 197 } TRANSPARENT
    @ 319, 367  LABEL Label_13 VALUE ""  WIDTH 85 HEIGHT 90 RIGHTALIGN FONT "Arial" SIZE 32 BOLD FONTCOLOR { 031, 089, 197 } TRANSPARENT
    @ 319, 423  LABEL Label_14 VALUE ""  WIDTH 85 HEIGHT 90 RIGHTALIGN FONT "Arial" SIZE 32 BOLD FONTCOLOR { 031, 089, 197 } TRANSPARENT
    @ 319, 549  LABEL Label_15 VALUE ""  WIDTH 85 HEIGHT 90 RIGHTALIGN FONT "Arial" SIZE 32 BOLD FONTCOLOR { 031, 089, 197 } TRANSPARENT
*----------------------------------------------------------------------------------------------------------------------------------------*   

*-----------------------------------------------------------Cartón 2 --------------------------------------------------------------------*

    @ 187, 738  LABEL Label_16 VALUE ""  WIDTH 85 HEIGHT 90 RIGHTALIGN FONT "Arial" SIZE 32 BOLD FONTCOLOR { 031, 089, 197 } TRANSPARENT
    @ 187, 795  LABEL Label_17 VALUE ""  WIDTH 85 HEIGHT 90 RIGHTALIGN FONT "Arial" SIZE 32 BOLD FONTCOLOR { 031, 089, 197 } TRANSPARENT
    @ 187, 918  LABEL Label_18 VALUE ""  WIDTH 85 HEIGHT 90 RIGHTALIGN FONT "Arial" SIZE 32 BOLD FONTCOLOR { 031, 089, 197 } TRANSPARENT
    @ 187, 976  LABEL Label_19 VALUE ""  WIDTH 85 HEIGHT 90 RIGHTALIGN FONT "Arial" SIZE 32 BOLD FONTCOLOR { 031, 089, 197 } TRANSPARENT
    @ 187, 1158 LABEL Label_20 VALUE ""  WIDTH 85 HEIGHT 90 RIGHTALIGN FONT "Arial" SIZE 32 BOLD FONTCOLOR { 031, 089, 197 } TRANSPARENT
*----------------------------------------------------------------------------------------------------------------------------------------*
    @ 252, 678  LABEL Label_21 VALUE ""  WIDTH 85 HEIGHT 90 RIGHTALIGN FONT "Arial" SIZE 32 BOLD FONTCOLOR { 031, 089, 197 } TRANSPARENT
    @ 252, 795  LABEL Label_22 VALUE ""  WIDTH 85 HEIGHT 90 RIGHTALIGN FONT "Arial" SIZE 32 BOLD FONTCOLOR { 031, 089, 197 } TRANSPARENT
    @ 252, 853  LABEL Label_23 VALUE ""  WIDTH 85 HEIGHT 90 RIGHTALIGN FONT "Arial" SIZE 32 BOLD FONTCOLOR { 031, 089, 197 } TRANSPARENT
    @ 252, 1036 LABEL Label_24 VALUE ""  WIDTH 85 HEIGHT 90 RIGHTALIGN FONT "Arial" SIZE 32 BOLD FONTCOLOR { 031, 089, 197 } TRANSPARENT
    @ 252, 1095 LABEL Label_25 VALUE ""  WIDTH 85 HEIGHT 90 RIGHTALIGN FONT "Arial" SIZE 32 BOLD FONTCOLOR { 031, 089, 197 } TRANSPARENT
*----------------------------------------------------------------------------------------------------------------------------------------*
    @ 319, 678  LABEL Label_26 VALUE ""  WIDTH 85 HEIGHT 90 RIGHTALIGN FONT "Arial" SIZE 32 BOLD FONTCOLOR { 031, 089, 197 } TRANSPARENT
    @ 319, 738  LABEL Label_27 VALUE ""  WIDTH 85 HEIGHT 90 RIGHTALIGN FONT "Arial" SIZE 32 BOLD FONTCOLOR { 031, 089, 197 } TRANSPARENT
    @ 319, 853  LABEL Label_28 VALUE ""  WIDTH 85 HEIGHT 90 RIGHTALIGN FONT "Arial" SIZE 32 BOLD FONTCOLOR { 031, 089, 197 } TRANSPARENT
    @ 319, 976  LABEL Label_29 VALUE ""  WIDTH 85 HEIGHT 90 RIGHTALIGN FONT "Arial" SIZE 32 BOLD FONTCOLOR { 031, 089, 197 } TRANSPARENT
    @ 319, 1036 LABEL Label_30 VALUE ""  WIDTH 85 HEIGHT 90 RIGHTALIGN FONT "Arial" SIZE 32 BOLD FONTCOLOR { 031, 089, 197 } TRANSPARENT
*----------------------------------------------------------------------------------------------------------------------------------------*   

     DEFINE  CHECKBOX Check_1
         ROW    450
         COL    650
         WIDTH  250
         CAPTION SPACE(1)+ '« - ¿ Modificar Número Cartones ? ' 
         VALUE  .T. 
         FONTNAME "Arial"
         FONTSIZE 10
         FONTBOLD .T.  
         BACKCOLOR  { 029, 118, 072 }  
         ONCHANGE ReverseCheck()
     END CHECKBOX

     DEFINE BUTTON But_009
         ROW 527
         COL 200 
         WIDTH 140
         HEIGHT 045
         CAPTION SPACE( 3 ) - "Borrar Cartones"
         PICTURE "Resource\Cleaner.bmp"
         PICTALIGNMENT LEFT
         TOOLTIP 'Borrar Cartones'
         ACTION EraserCarton()
      END BUTTON

      DEFINE BUTTON But_010
         ROW 527
         COL 450 
         WIDTH 140
         HEIGHT 045
         CAPTION SPACE( 5 ) - "Capture"
         PICTURE "Resource\Camara.bmp"
         PICTALIGNMENT LEFT
         TOOLTIP 'Capture ScreenShot'
         ACTION ( CaptureSystem(), Cleaning()  )
      END BUTTON

      DEFINE BUTTON But_013
         ROW 527
         COL 700 
         WIDTH 140
         HEIGHT 045
         CAPTION SPACE( 3 ) - "Generar Cartones"
         PICTURE "Resource\Bingo.bmp"
         PICTALIGNMENT LEFT
         TOOLTIP 'Generar Nuevos Cartones'
         ACTION Proceso()   
      END BUTTON

      DEFINE BUTTON But_014
         ROW 527
         COL 950 
         WIDTH 140
         HEIGHT 045
         CAPTION SPACE( 5 ) - "Exit"
         PICTURE "Resource\Exit.bmp"
         PICTALIGNMENT LEFT
         TOOLTIP 'Exit'
         ACTION ( EraserDBF() , Form_1.Release ) 
      END BUTTON

   END WINDOW


   SETWINDOWCURSOR( Form_1.But_010.Handle, "Resource\SmoothHand.cur" )

   Form_1.But_010.Enabled := .F. 


   Center Window Form_1
   Activate Window Form_1

RETURN Nil


*-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._-._.-._.-._.-._.-._.-._.-*


*-------------------------------------------------------------*
 Function Proceso()
*-------------------------------------------------------------*
* ----> Ver solución para no repetir números de ROBROS, Jimmy, Franco <------
*  https://www.hmgforum.com/viewtopic.php?p=69709&hilit=random+numbers#p69709

   Declare Window Form_1

   Form_1.But_010.Enabled := .T. 
    
   RELEASE MEMORY

*-------------------------------------------------------------*

   dbCloseAll()
   USE BINGO1  via "dbfntx"
   index on z1 to Bingo1 
   dbGoTop()
   ZAP
	for nI=1 to 4  
		rndnum:= HB_RandomInt(1,25)  
		locate for z1 = rndnum 

		If ! eof()
			nI--
		Else
			append blank
                   	replace z1 with rndnum 


		Endif
 	 next

*-------------------------------------------------------------*

   dbCloseAll()
   USE BINGO2  via "dbfntx"
   index on z1 to Bingo2 
   dbGoTop()
   ZAP
	for nI=1 to 5   
		rndnum:= HB_RandomInt(26,50)     
		locate for z1 = rndnum 

		If ! eof()
			nI--
		Else
			append blank
                   	replace z1 with rndnum 
		Endif
 	 next

*-------------------------------------------------------------*

   dbCloseAll()
   USE BINGO3  via "dbfntx"
   index on z1 to Bingo3 
   dbGoTop()
   ZAP
	for nI=1 to 6  
		rndnum:= HB_RandomInt(51,75)  
		locate for z1 = rndnum 

		If ! eof()
			nI--
		Else
			append blank
                   	replace z1 with rndnum 
		Endif
 	 next

*-------------------------------------------------------------*
*-------------------------------------------------------------*

   dbCloseAll()
   USE BINGO4  via "dbfntx"
   index on z1 to Bingo4 
   dbGoTop()
   ZAP
	for nI=1 to 6  
		rndnum:= HB_RandomInt(1,25)  
		locate for z1 = rndnum 

		If ! eof()
			nI--
		Else
			append blank
                   	replace z1 with rndnum 
		Endif
 	 next


*-------------------------------------------------------------*

   dbCloseAll()
   USE BINGO5  via "dbfntx"
   index on z1 to Bingo5 
   dbGoTop()
   ZAP
	for nI=1 to 5  
		rndnum:= HB_RandomInt(26,50)   
		locate for z1 = rndnum 

		If ! eof()
			nI--
		Else
			append blank
                   	replace z1 with rndnum 
		Endif
 	 next

*-------------------------------------------------------------*

   dbCloseAll()
   USE BINGO6  via "dbfntx"
   index on z1 to Bingo6 
   dbGoTop()
   ZAP
	for nI=1 to 4  
		rndnum:= HB_RandomInt(51,75)   
		locate for z1 = rndnum 

		If ! eof()
			nI--
		Else
			append blank
                   	replace z1 with rndnum 
		Endif
 	 next


   PintaCarton()

 Return Nil 

*------------------------------------------------------------*
 Function PintaCarton()
*------------------------------------------------------------*

 Declare Window Form_1


 IF IsWIndowDefined (Form_2) 
    RELEASE WINDOW Form_2
 ENDIF

*------------------------------------------------------------*
*---------------------------Cartón 1  -----------------------*

 dbCloseAll()
 USE BINGO1 INDEX BINGO1

 DO WHILE !EOF()
    Form_1.Label_1.Value  := STR( BINGO1->z1 )+ SPACE(2)
    SKIP + 1 
    Form_1.Label_6.Value  := STR( BINGO1->z1 )+ SPACE(2)
    SKIP + 1  
    Form_1.Label_2.Value  := STR( BINGO1->z1 )+ SPACE(2)
    SKIP + 1 
    Form_1.Label_11.Value := STR( BINGO1->z1 )+ SPACE(2)
    SKIP + 1  
 ENDDO


 dbCloseAll()
 USE BINGO2 INDEX BINGO2

 DO WHILE !EOF()
    Form_1.Label_7.Value  := STR( BINGO2->z1 )+ SPACE(2)
    SKIP + 1 
    Form_1.Label_12.Value := STR( BINGO2->z1 )+ SPACE(2)
    SKIP + 1 
    Form_1.Label_8.Value  := STR( BINGO2->z1 )+ SPACE(2)
    SKIP + 1
    Form_1.Label_3.Value  := STR( BINGO2->z1 )+ SPACE(2)
    SKIP + 1 
    Form_1.Label_13.Value := STR( BINGO2->z1 )+ SPACE(2)
    SKIP + 1 
 ENDDO


 dbCloseAll()
 USE BINGO3 INDEX BINGO3

 DO WHILE !EOF()
    Form_1.Label_9.Value  := STR( BINGO3->z1 )+ SPACE(2)
    SKIP + 1 
    Form_1.Label_14.Value := STR( BINGO3->z1 )+ SPACE(2)
    SKIP + 1 
    Form_1.Label_4.Value  := STR( BINGO3->z1 )+ SPACE(2)
    SKIP + 1 
    Form_1.Label_10.Value := STR( BINGO3->z1 )+ SPACE(2)
    SKIP + 1     
    Form_1.Label_5.Value  := STR( BINGO3->z1 )+ SPACE(2)
    SKIP + 1   
    Form_1.Label_15.Value := STR( BINGO3->z1 )+ SPACE(2)
    SKIP + 1   
 ENDDO


*------------------------------------------------------------*
*------------------------- Cartón 2 -------------------------*

 dbCloseAll()
 USE BINGO4 INDEX BINGO4

 DO WHILE !EOF()
    Form_1.Label_21.Value := STR( BINGO4->z1 )+ SPACE(2)
    SKIP + 1 
    Form_1.Label_26.Value := STR( BINGO4->z1 )+ SPACE(2)
    SKIP + 1  
    Form_1.Label_16.Value := STR( BINGO4->z1 )+ SPACE(2)
    SKIP + 1 
    Form_1.Label_27.Value := STR( BINGO4->z1 )+ SPACE(2)
    SKIP + 1  
    Form_1.Label_17.Value := STR( BINGO4->z1 )+ SPACE(2)
    SKIP + 1 
    Form_1.Label_22.Value := STR( BINGO4->z1 )+ SPACE(2)
    SKIP + 1  
 ENDDO


 USE BINGO5 INDEX BINGO5

 DO WHILE !EOF()
    Form_1.Label_23.Value := STR( BINGO5->z1 )+ SPACE(2)
    SKIP + 1 
    Form_1.Label_28.Value := STR( BINGO5->z1 )+ SPACE(2)
    SKIP + 1  
    Form_1.Label_18.Value := STR( BINGO5->z1 )+ SPACE(2)
    SKIP + 1 
    Form_1.Label_19.Value := STR( BINGO5->z1 )+ SPACE(2)
    SKIP + 1  
    Form_1.Label_29.Value := STR( BINGO5->z1 )+ SPACE(2)
    SKIP + 1 
 ENDDO


 USE BINGO6 INDEX BINGO6

 DO WHILE !EOF()
    Form_1.Label_24.Value := STR( BINGO6->z1 )+ SPACE(2)
    SKIP + 1 
    Form_1.Label_30.Value := STR( BINGO6->z1 )+ SPACE(2)
    SKIP + 1  
    Form_1.Label_25.Value := STR( BINGO6->z1 )+ SPACE(2)
    SKIP + 1 
    Form_1.Label_20.Value := STR( BINGO6->z1 )+ SPACE(2)
    SKIP + 1  
 ENDDO

  dbCloseAll()
 
  ReverseCheck()
 
 
  Return Nil

*----------------------------------------------------------*
  FUNCTION ReverseCheck()
*----------------------------------------------------------*

  LOCAL aChecboQ , i

   aChecboQ  := ( IIF( Form_1.Check_1.Value,"True","False") )
 
   IF aChecboQ = "True"  

     br()   //<--------  Corrección de Números Duplicados
   
   ENDIF

RETURN NIL

*---------------------------------------------------------*
 Function Br()  //<----  Corrección de Números Duplicados
*---------------------------------------------------------*
  Declare Window Form_1

  If IsWIndowDefined ( Form_2 ) // don't generate a runtime error !
     RELEASE WINDOW Form_2
  ENDIF

  REQUEST DBFNTX  , DBFDBT
  RDDSETDEFAULT( "DBFNTX"  )
  SET BROWSESYNC ON

  dbCloseAll()


  PRIVATE XbColor1 := {|| IF( ( BINGO1->Z1)  > 25 , RED , { 180,200,255 }  ) } 
  PRIVATE XbColor2 := {|| IF( ( BINGO2->Z1)  < 26 .OR.( BINGO2->Z1)  > 50 , RED , {  180,200,255 }  ) } 
  PRIVATE XbColor3 := {|| IF( ( BINGO3->Z1)  < 51 .OR.( BINGO3->Z1)  > 75 , RED , {  180,200,255 }  ) } 

  PRIVATE XbColor4 := {|| IF( ( BINGO4->Z1)  > 25 , RED , { 180,200,255 }  ) } 
  PRIVATE XbColor5 := {|| IF( ( BINGO5->Z1)  < 26 .OR. (BINGO5->Z1)  > 50 , RED , {  180,200,255 }  ) } 
  PRIVATE XbColor6 := {|| IF( ( BINGO6->Z1)  < 51 .OR. (BINGO6->Z1)  > 75 , RED , {  180,200,255 }  ) } 

  PRIVATE fColorx := { || IF ( ordkeyno()/2 == INT(ordkeyno()/2) , { 000,000,255 } , { 000,000,255 } ) }  



	DEFINE WINDOW Form_2  ;
               AT 440,290     ;             
	       WIDTH 800      ;
	       HEIGHT 304     ;
	       TITLE 'Corrección Cartones';
               ICON 'Logo'    ;   
               MODAL

         ON KEY ESCAPE ACTION Form_2.Release 


         @ 017,035 LABEL Label_01x VALUE "Carton 1 Izquierda" WIDTH 220 HEIGHT 020 FONT "Arial" SIZE 9 BOLD
         @ 017,145 LABEL Label_02x VALUE "Carton 2 Izquierda" WIDTH 220 HEIGHT 020 FONT "Arial" SIZE 9 BOLD 

      SELECT 1
      USE BINGO1 INDEX BINGO1
      dbgotop()

      DEFINE BROWSE  Browse_1
             PARENT Form_2
             ROW    050
             COL    040
             WIDTH  090
             HEIGHT 150 
             WIDTHS  { 080 }                  
             HEADERS {"Números "}   
             WORKAREA BINGO1
             FIELDS { 'BINGO1->Z1' } 
             ALLOWEDIT .T.
             VSCROLLBAR .F.
             JUSTIFY { 1 }
             DYNAMICBACKCOLOR { XbColor1 }  
             DYNAMICFORECOLOR { fColorx }  
             BACKCOLOR { 180,200,255 }
             FONTCOLOR { 000,255,020 } 
      END BROWSE
 
      SELECT 2
      USE BINGO4 INDEX BINGO4
      dbgotop()

      DEFINE BROWSE  Browse_2
             PARENT Form_2
             ROW    050
             COL    150
	     WIDTH  090
	     HEIGHT 150
	     WIDTHS  { 080 }                  
             HEADERS {"Números "}   
             WORKAREA BINGO4
             FIELDS { 'BINGO4->Z1' } 
             ALLOWEDIT .T.
             VSCROLLBAR .F.
             JUSTIFY { 1 }
             DYNAMICBACKCOLOR { XbColor4 }  
             DYNAMICFORECOLOR { fColorx }  
             BACKCOLOR { 180,200,255 }        
             FONTCOLOR { 000,255,020 }  
      END BROWSE


         @ 017,290 LABEL Label_03x VALUE "Carton 1 Centro" WIDTH 220 HEIGHT 020 FONT "Arial" SIZE 9 BOLD 
         @ 017,400 LABEL Label_04x VALUE "Carton 2 Centro" WIDTH 220 HEIGHT 020 FONT "Arial" SIZE 9 BOLD 


      SELECT 3
      USE BINGO2 INDEX BINGO2
      dbgotop()

      DEFINE BROWSE  Browse_3
             PARENT Form_2
             ROW    050
             COL    290
             WIDTH  090
             HEIGHT 150  
             WIDTHS  { 080 }                  
             HEADERS {"Números "}   
             WORKAREA BINGO2
             FIELDS { 'BINGO2->Z1' } 
             ALLOWEDIT .T.
             VSCROLLBAR .F.
             JUSTIFY { 1 }
             DYNAMICBACKCOLOR { XbColor2 }  
             DYNAMICFORECOLOR { fColorx }  
             BACKCOLOR { 180,200,255 }         
             FONTCOLOR { 000,255,020 }  
      END BROWSE
 
      SELECT 4
      USE BINGO5 INDEX BINGO5
      dbgotop()

      DEFINE BROWSE  Browse_4
             PARENT Form_2
             ROW    050
             COL    400
	     WIDTH  090 
	     HEIGHT 150
	     WIDTHS  { 080}                  
             HEADERS {"Números "}   
             WORKAREA BINGO5
             FIELDS { 'BINGO5->Z1' } 
             ALLOWEDIT .T.
             VSCROLLBAR .F.
             JUSTIFY { 1 }
             DYNAMICBACKCOLOR { XbColor5 }  
             DYNAMICFORECOLOR { fColorx }  
             BACKCOLOR { 180,200,255 }        
             FONTCOLOR { 000,255,020 }  
      END BROWSE

         @ 017,535 LABEL Label_05x VALUE "Carton 1 Derecha" WIDTH 220 HEIGHT 020 FONT "Arial" SIZE 9 BOLD
         @ 017,645 LABEL Label_06x VALUE "Carton 2 Derecha" WIDTH 220 HEIGHT 020 FONT "Arial" SIZE 9 BOLD

      SELECT 5
      USE BINGO3 INDEX BINGO3
      dbgotop()

      DEFINE BROWSE  Browse_5
             PARENT Form_2
             ROW    050
             COL    540
             WIDTH  090
             HEIGHT 150 
             WIDTHS  { 080 }                  
             HEADERS {"Números "}   
             WORKAREA BINGO3
             FIELDS { 'BINGO3->Z1' } 
             ALLOWEDIT .T.
             VSCROLLBAR .F.
             JUSTIFY { 1 }
             DYNAMICBACKCOLOR { XbColor3 }  
             DYNAMICFORECOLOR { fColorx }  
             BACKCOLOR { 180,200,255 }          
             FONTCOLOR { 000,255,020 }  
      END BROWSE
 
      SELECT 6
      USE BINGO6 INDEX BINGO6
      dbgotop()

      DEFINE BROWSE  Browse_6
             PARENT Form_2
             ROW    050
             COL    650
	     WIDTH  090 
	     HEIGHT 150
	     WIDTHS  { 080 }                  
             HEADERS {"Números "}   
             WORKAREA BINGO6
             FIELDS { 'BINGO6->Z1' } 
             ALLOWEDIT .T.
             VSCROLLBAR .F.
             JUSTIFY { 1 }
             DYNAMICBACKCOLOR { XbColor6 } 
             DYNAMICFORECOLOR { fColorx }  
             BACKCOLOR { 180,200,255 }      
             FONTCOLOR { 000,255,020 }  
      END BROWSE


      DEFINE BUTTON But_Corry
         ROW 213
         COL 263
         WIDTH 120 
         HEIGHT 034
         ACTION  PintaCarton()
         CAPTION SPACE( 3 ) - "Corregir"
         FONTNAME "Arial"
         FONTSIZE 9
         TOOLTIP "Coregir Número"
         FONTBOLD .T.
         FONTITALIC .F.
         PICTURE "Resource/LLave.Bmp"
         PICTALIGNMENT LEFT
      END BUTTON

       
        @ 220,043 LABEL Label_07x VALUE "Atención ! Número Color Rojo, Error! " WIDTH 221 HEIGHT 020 FONT "Arial" SIZE 9 BOLD
 

      DEFINE BUTTON But_Exit
         ROW 213
         COL 400
         WIDTH 120 
         HEIGHT 034
         ACTION   Form_2.Release     
         CAPTION SPACE( 5 ) - "Exit"
         FONTNAME "Arial"
         FONTSIZE 9
         TOOLTIP "Exit"
         FONTBOLD .T.
         FONTITALIC .F.
         PICTURE "Resource/Home.Bmp"
         PICTALIGNMENT LEFT
      END BUTTON


	END WINDOW

      HMG_ChangeWindowStyle ( GetControlHandle("Browse_1","Form_2"), LVS_REPORT, NIL, .T. )
      HMG_ChangeWindowStyle ( GetControlHandle("Browse_2","Form_2"), LVS_REPORT, NIL, .T. )
      HMG_ChangeWindowStyle ( GetControlHandle("Browse_3","Form_2"), LVS_REPORT, NIL, .T. )
      HMG_ChangeWindowStyle ( GetControlHandle("Browse_4","Form_2"), LVS_REPORT, NIL, .T. )
      HMG_ChangeWindowStyle ( GetControlHandle("Browse_5","Form_2"), LVS_REPORT, NIL, .T. )
      HMG_ChangeWindowStyle ( GetControlHandle("Browse_6","Form_2"), LVS_REPORT, NIL, .T. )


	ACTIVATE WINDOW Form_2

Retur

*-------------------------------------------------*
FUNCTION Cleaning()  
*-------------------------------------------------*

 Declare Window Form_1

Form_1.Label_1.Value  := ""
Form_1.Label_2.Value  := ""
Form_1.Label_3.Value  := ""
Form_1.Label_4.Value  := ""
Form_1.Label_5.Value  := ""
Form_1.Label_6.Value  := ""
Form_1.Label_7.Value  := ""
Form_1.Label_8.Value  := ""
Form_1.Label_9.Value  := ""
Form_1.Label_10.Value := ""
Form_1.Label_11.Value := ""
Form_1.Label_12.Value := ""
Form_1.Label_13.Value := ""    
Form_1.Label_14.Value := ""
Form_1.Label_15.Value := ""    
Form_1.Label_16.Value := ""
Form_1.Label_17.Value := ""
Form_1.Label_18.Value := ""
Form_1.Label_19.Value := ""
Form_1.Label_20.Value := ""
Form_1.Label_21.Value := ""
Form_1.Label_22.Value := ""
Form_1.Label_23.Value := ""
Form_1.Label_24.Value := ""
Form_1.Label_25.Value := ""
Form_1.Label_26.Value := ""
Form_1.Label_27.Value := ""
Form_1.Label_28.Value := ""
Form_1.Label_29.Value := ""
Form_1.Label_30.Value := ""

Return Nil 

*-------------------------------------------------*
FUNCTION EraserDBF() 
*-------------------------------------------------*

 dbCloseAll()
 FileDelete("*.dbf")   // <---- Borra los dbf por estética 
 FileDelete("*.ntx")   // <---- Borra los ntx por estética 

Return Nil 

*-------------------------------------------------*
FUNCTION EraserCarton()
*-------------------------------------------------*


   IF MSGYESNO("¿ Quiere Borrar Cartones ? ", "Atención" ) 

      FileDelete( "Cartones\*.Png")
      FileDelete( "Counter.mem")

*---------------------------------------------------------*

      IF FILE( "Counter.mem" )
         RESTORE FROM Counter.mem ADDITIVE
      ELSE
         COUN = 0
         SAVE ALL LIKE coUn* TO Counter.mem
      ENDIF
   
      cFileName := "Cartones\" + STRZERO( coUn, 4 )

   ENDIF

Return Nil 



*-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._-._.-._.-._.-._.-._.-._.-*










































